Bug 1415426 - [abrt] shotwell: gexiv2_metadata_get_orientation(GExiv2Metadata*)(): shotwell killed by SIGABRT
Summary: [abrt] shotwell: gexiv2_metadata_get_orientation(GExiv2Metadata*)(): shotwell...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: shotwell
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Matthias Clasen
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:27db0bc2bc641808f90c23e100c...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-21 23:37 UTC by DuvJones
Modified: 2017-12-12 10:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:48:34 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (64.70 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: cgroup (148 bytes, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: core_backtrace (4.09 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: dso_list (16.12 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: environ (1.85 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: maps (78.97 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: mountinfo (4.13 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: open_fds (7.56 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details
File: var_log_messages (869 bytes, text/plain)
2017-01-21 23:37 UTC, DuvJones
no flags Details

Description DuvJones 2017-01-21 23:37:31 UTC
Description of problem:
I was trying to rename a tag in shotwell, I am unsure about the number of files it was dealing with but my spit balling is at least over 500 images.
Anyways, after renaming the tag, the program would crash after attempting to rewrite the tag and any attempt to open shotwell would have the program attmept to write the tag to the files again. Only to fail.

So far the only thing that I have at the moment is to delete the database in "~/.local/share/shotwell/data/" and restart the program after that to at least end the failure loop.

Version-Release number of selected component:
shotwell-0.24.3-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        shotwell
crash_function: gexiv2_metadata_get_orientation(GExiv2Metadata*)
executable:     /usr/bin/shotwell
global_pid:     20896
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (8 frames)
 #4 gexiv2_metadata_get_orientation(GExiv2Metadata*) at gexiv2/gexiv2-metadata.cpp:405
 #5 photo_metadata_get_orientation at /home/jens/Source/shotwell/src/photos/PhotoMetadata.vala:984
 #6 metadata_writer_commit_job_update_metadata at /home/jens/Source/shotwell/src/MetadataWriter.vala:148
 #7 metadata_writer_commit_job_commit_master at /home/jens/Source/shotwell/src/MetadataWriter.vala:55
 #8 metadata_writer_commit_job_real_execute at /home/jens/Source/shotwell/src/MetadataWriter.vala:38
 #9 workers_thread_start at /home/jens/Source/shotwell/src/threads/Workers.vala:96
 #10 _workers_thread_start_gfunc at /home/jens/Source/shotwell/src/threads/Workers.vala:31
 #12 g_thread_proxy at gthread.c:784

Comment 1 DuvJones 2017-01-21 23:37:37 UTC
Created attachment 1243208 [details]
File: backtrace

Comment 2 DuvJones 2017-01-21 23:37:38 UTC
Created attachment 1243209 [details]
File: cgroup

Comment 3 DuvJones 2017-01-21 23:37:39 UTC
Created attachment 1243210 [details]
File: core_backtrace

Comment 4 DuvJones 2017-01-21 23:37:40 UTC
Created attachment 1243211 [details]
File: dso_list

Comment 5 DuvJones 2017-01-21 23:37:41 UTC
Created attachment 1243212 [details]
File: environ

Comment 6 DuvJones 2017-01-21 23:37:42 UTC
Created attachment 1243213 [details]
File: limits

Comment 7 DuvJones 2017-01-21 23:37:43 UTC
Created attachment 1243214 [details]
File: maps

Comment 8 DuvJones 2017-01-21 23:37:44 UTC
Created attachment 1243215 [details]
File: mountinfo

Comment 9 DuvJones 2017-01-21 23:37:45 UTC
Created attachment 1243216 [details]
File: namespaces

Comment 10 DuvJones 2017-01-21 23:37:47 UTC
Created attachment 1243217 [details]
File: open_fds

Comment 11 DuvJones 2017-01-21 23:37:47 UTC
Created attachment 1243218 [details]
File: proc_pid_status

Comment 12 DuvJones 2017-01-21 23:37:48 UTC
Created attachment 1243219 [details]
File: var_log_messages

Comment 13 Fedora End Of Life 2017-11-16 15:25:05 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2017-12-12 10:48:34 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.